#ifndef CONFIG_H
#define CONFIG_H

#define KCM_GRUB2_VERSION "0.6.4"

#define HAVE_IMAGEMAGICK 1
#define HAVE_HD 0
#define HAVE_QAPT 0
#define HAVE_QPACKAGEKIT 0

//Qt
#include <QFile>

inline const QString & grubInstallExePath()
{
    static const QString str = QFile::decodeName("/usr/sbin/grub-install");
    return str;
}
inline const QString & grubMkconfigExePath()
{
    static const QString str = QFile::decodeName("/usr/sbin/grub-mkconfig");
    return str;
}
inline const QString & grubProbeExePath()
{
    static const QString str = QFile::decodeName("/usr/sbin/grub-probe");
    return str;
}
inline const QString & grubSetDefaultExePath()
{
    static const QString str = QFile::decodeName("/usr/sbin/grub-set-default");
    return str;
}
inline const QString & grubMenuPath()
{
    static const QString str = QFile::decodeName("/boot/grub/grub.cfg");
    return str;
}
inline const QString & grubConfigPath()
{
    static const QString str = QFile::decodeName("/etc/sysconfig/grub2");
    return str;
}
inline const QString & grubEnvPath()
{
    static const QString str = QFile::decodeName("/boot/grub/grubenv");
    return str;
}
inline const QString & grubMemtestPath()
{
    static const QString str = QFile::decodeName("/etc/grub.d/39_memtest");
    return str;
}
inline const QString & grubLocalePath()
{
    static const QString str = QFile::decodeName("");
    return str;
}

#endif
